Update a PDF template
Roles
Analytics Events
/v2/credentials/compact/pdf/templates/{id}Update an existing CWT credential PDF template based on a provided .zip file. Refer to our PDF template design guide for more information on how to design a template and structure the .zip file.
Analytic events
- CREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_START
- CREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_SUCCESS
- CREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
PDF template ID
Request Body
application/zip
TypeScript Definitions
Use the request body type in TypeScript.
binaryResponse Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/compact/pdf/templates/string" \ -H "Content-Type: application/zip" \ -d 'string'{ "id": "string", "name": "string", "fileName": "string", "fonts": [ { "name": "string", "fileName": "string" } ], "metadata": { "title": "string" }, "fields": [ { "key": "string", "value": "string", "isRequired": true, "alternativeText": "string", "fontName": "string" } ]}How would you rate this page?
Retrieve a PDF template GET
Retrieves an existing CWT credentials PDF template using its ID. ### **Analytic events** * CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_START * CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_FAIL
Delete a PDF template DELETE
Delete an existing PDF template by providing its ID ### **Analytic events** * CREDENTIAL_COMPACT_PDF_TEMPLATE_DELETE_START * CREDENTIAL_COMPACT_PDF_TEMPLATE_DELETE_SUCCESS * CREDENTIAL_COMPACT_PDF_TEMPLATE_DELETE_FAIL